<?php 
/**
 * Система управления сайтом HostCMS v. 5.xx
 * Copyright © 2005-2010 ООО "Хостмэйк" (Hostmake LLC), http://www.hostcms.ru
 *
 * Ajax загрузчик типовых динамических страниц.
 * 
 * Файл: /admin/lib/action/add_loder_lib.php
 * 
 * @author Hostmake LLC
 * @version 5.x
 */
$lib = new lib();
$JsHttpRequest = new JsHttpRequest('UTF-8');
$action = to_int($_REQUEST['ajax_lib']);

switch ($action)
{
	case 1: /* Загрузка элементов списка */
	{
		$lib_property_id = to_int($_REQUEST['lib_property_id']);
		if (!$lib_property_id)
		{
			die();
		}

		ob_start();

		/* Получаем список элементов списка */
		$property_list_resource = $lib->GetAllLibPropertyListItems($lib_property_id);
		if ($property_list_resource)
		{
			while ($row = mysql_fetch_assoc($property_list_resource))
			{
				?>
				<div id="id_list_item_id_<?php echo $row['lib_property_list_id']?>">
					<input type="text" style="width: 12em;" name="list_item_name_<?php echo $row['lib_property_list_id']?>" value="<?php echo htmlspecialchars($row['lib_property_list_name'])?>" />
					<input type="text" style="width: 12em;" name="list_item_value_<?php echo $row['lib_property_list_id']?>" value="<?php echo htmlspecialchars($row['lib_property_list_value'])?>" />
					<input type="text" style="width: 3em;" name="list_item_order_<?php echo $row['lib_property_list_id']?>" value="<?php echo $row['lib_property_list_order']?>" />
					<a href="JavaScript:void(0)" onclick="DoDeleteListItem(<?php echo $row['lib_property_list_id']?>)"><img src="/admin/images/delete.gif" style="margin-bottom: -5px" border="0" alt="<?php echo $GLOBALS['MSG_lib']['lib_show_delete_image']?>"></a>
				</div>
				<?php 		
			}
		}
		$html = ob_get_clean();

		/* Отсылаем результат */
		$_RESULT = array(
		"list_html" => $html
		);

		echo $JsHttpRequest->LOADER;
		break;
	}

	case 2: /* Добавление элемента списка */
	{
		$lib_property_id = to_int($_REQUEST['lib_property_id']);
		if (!$lib_property_id)
		{
			die();
		}
		$param = array();

		/* Получаем имя элемента */
		$param['lib_property_id'] = $lib_property_id;
		$param['lib_property_list_name'] = to_str($_REQUEST['new_list_item_name']);
		$param['lib_property_list_value'] = to_str($_REQUEST['new_list_item_value']);
		$param['lib_property_list_order'] = to_int($_REQUEST['new_list_item_order']);

		$lib_property_list_id = $lib->InsertLibPropertyListItem($param);

		if ($lib_property_list_id)
		{
			/* Отсылаем добавленный элемент */
			ob_start();
			?>
			<div id="id_list_item_id_<?php echo $lib_property_list_id?>">
				<input type="text" style="width: 12em;" name="list_item_name_<?php echo $lib_property_list_id?>" value="<?php echo $param['lib_property_list_name']?>" />
				<input type="text" style="width: 12em;" name="list_item_value_<?php echo $lib_property_list_id?>" value="<?php echo $param['lib_property_list_value']?>" />
				<input type="text" style="width: 3em;" name="list_item_order_<?php echo $lib_property_list_id?>" value="<?php echo $param['lib_property_list_order']?>" />
				<a href="JavaScript:void(0)" onclick="DoDeleteListItem(<?php echo $lib_property_list_id?>)">
					<img src="/admin/images/delete.gif" border="0" alt="<?php echo $GLOBALS['MSG_lib']['lib_show_delete_image']?>">
				</a>
			</div>
			<?php 	
			$html = ob_get_clean();

			/* Отсылаем результат */
			$_RESULT = array(
			"list_html" => $html
			);

			echo $JsHttpRequest->LOADER;
		}
		break;
	}

	case 3: /* Удаление элемента списка */
	{
		
if (defined('READ_ONLY') && READ_ONLY)
		{
			die();
		}
		
		$lib_property_list_id = to_int($_REQUEST['lib_property_list_id']);

		$lib->DeleteLibPropertyListItem($lib_property_list_id);

		/* Отсылаем результат */
		$_RESULT = array(
		"delete_item_id" => "id_list_item_id_$lib_property_list_id"
		);

		echo $JsHttpRequest->LOADER;

		break;
	}
}
die();
?>